Skip to main content
GET
/
api
/
reporting
/
v2
/
exports
/
transaction-steps
/
{requestId}
/
status
Get Transaction Steps Export Request Status
curl --request GET \
  --url https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps/{requestId}/status \
  --header 'Authorization: Bearer <token>'
{
  "totalFileCount": "<string>",
  "correlationId": "<string>",
  "filters": {
    "startDate": "2025-12-17T15:36:38.524Z",
    "skillId": "<string>",
    "transactionId": "<string>",
    "endDate": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

requestId
string
required

Response

OK

status
enum<string>

Actual status of the request

Available options:
New,
Queued,
Processing,
Succeeded,
Failed,
Cancelled
totalFileCount
string | null

Number of result files in case of successfully finished processing Result files can be accessed by their indexes

correlationId
string | null

Correlation ID of the report creation procedure In case of failure or cancellation correlation ID helps for further investigation

filters
object

The filters used, to generate the report